export declare abstract class Payload {
    protected msgId: string;
    protected msgTye: string;
    body: PayloadBody;
    constructor(body?: PayloadBody);
    abstract getTopic(): string;
    abstract getVersion(): number;
    getMsgId(): string;
}
export interface PayloadBody {
}
export interface IPublisher {
    publishToMaster(payload: Payload): any;
    publishToSlave(payload: Payload): any;
}
export interface IConsumer {
    consume(payload: Payload, baseEventHandler: BaseEventHandler): any;
}
export interface BaseEventHandler {
    handle(msg: any): any;
}
